Package com.avaya.clientservices.media.gui

## Class VideoPlaneRemote

- java.lang.Object
- - com.avaya.clientservices.media.gui.Plane
  - - com.avaya.clientservices.media.gui.VideoPlaneRemote

- All Implemented Interfaces:
    `Positionable`, `Renderable`, `Touchable`

      public class VideoPlaneRemote
      extends Plane

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoPlaneRemote​(android.content.Context context)` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onDrawFrame​(double time)`
    `void` | `onSurfaceChanged​(int width, int height)`
    `void` | `onSurfaceCreated()`
    `boolean` | `onTouchEvent​(double time, android.view.MotionEvent event, int surfaceHeight)`
    `void` | `setRemoteVideoLayer​(VideoLayerRemote remoteVideoLayer)` | Sets the remote video layer.
    `void` | `setRemoteVideoSize​(int width, int height)` | Sets the remote video size; usually in response to `VideoLayerListener.onVideoFrameSizeChanged(int, int)`.
    `void` | `setVideoPlaneListener​(VideoPlaneListener videoPlaneListener)` | Sets the `VideoPlaneListener`.

    - ### Methods inherited from class com.avaya.clientservices.media.gui.Plane

      `containsPoint, setBounds, setPosition, setRenderer, setVisibility, time`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoPlaneRemote

          public VideoPlaneRemote​(android.content.Context context)

      Constructor
      Parameters:
        `context` - parent context

  - ### Method Detail

    - #### setVideoPlaneListener

          public void setVideoPlaneListener​(VideoPlaneListener videoPlaneListener)

      Sets the `VideoPlaneListener`.
      Parameters:
        `videoPlaneListener` - the object that will listen for touch events.

    - #### onSurfaceCreated

          public void onSurfaceCreated()

    - #### onSurfaceChanged

          public void onSurfaceChanged​(int width,
                                       int height)

    - #### onDrawFrame

          public void onDrawFrame​(double time)

    - #### onTouchEvent

          public boolean onTouchEvent​(double time,
                                      android.view.MotionEvent event,
                                      int surfaceHeight)

    - #### setRemoteVideoLayer

          public void setRemoteVideoLayer​(VideoLayerRemote remoteVideoLayer)

      Sets the remote video layer.
      Parameters:
        `remoteVideoLayer` - the remote video layer.

    - #### setRemoteVideoSize

          public void setRemoteVideoSize​(int width,
                                         int height)

      Sets the remote video size; usually in response to `VideoLayerListener.onVideoFrameSizeChanged(int, int)`.
      Parameters:
        `width` - the width of the video frame.
        `height` - the height of the video frame.